Summary:	CUPS Driver Development Kit
Name:		cupsddk
Version:	1.0
Release:	1mdk
License:	GPL
Group:		Development/C

Source:		ftp://ftp.easysw.com/pub/%{name}/%{version}/%{name}-%{version}-source.tar.bz2

Url:		http://www.cups.org/ddk.php
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	cups >= 1.1.19, libcups1 >= 1.1.19, libcups-devel >= 1.1.19
BuildRequires:	libcups-devel >= 1.1.19

%description

The CUPS Driver Development Kit (DDK) provides a suite of standard
drivers, a PPD file compiler, and other utilities that can be used to
develop printer drivers for CUPS and other printing environments. CUPS
provides a portable printing layer for UNIX-based operating
systems. The CUPS DDK provides the means for mass-producing PPD files
and drivers/filters for CUPS-based printer drivers.

%prep

%setup -q

%build

%configure

%make

%install
rm -rf %buildroot
#makeinstall
make install BUILDROOT=$RPM_BUILD_ROOT
	     LOGDIR=$RPM_BUILD_ROOT%{_var}/log/cups \
             REQUESTS=$RPM_BUILD_ROOT%{_var}/spool/cups \
             SERVERROOT=$RPM_BUILD_ROOT%{_sysconfdir}/cups \
             AMANDIR=$RPM_BUILD_ROOT%{_mandir} \
             PMANDIR=$RPM_BUILD_ROOT%{_mandir} \
             MANDIR=$RPM_BUILD_ROOT%{_mandir} \
             PAMDIR=$RPM_BUILD_ROOT%{_sysconfdir}/pam.d \
             BINDIR=$RPM_BUILD_ROOT%{_bindir} \
             SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
             INITDIR=$RPM_BUILD_ROOT%{_sysconfdir} \
             DOCDIR=$RPM_BUILD_ROOT%{_defaultdocdir}/ \
             CHOWN=/bin/echo

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}
%doc README.txt LICENSE.txt CHANGES.txt FAQ.txt CREDITS.txt
%{_bindir}/*
%{_includedir}/cups/*
%{_libdir}/cups/filter/*
%{_datadir}/%{name}
#{_defaultdocdir}/%{name}
%{_mandir}/*/*

%changelog
* Fri Jul 23 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-1mdk
- initial release.
